Ubuntu

Brasero finishes without error but unusable media [on-the-fly mode] (Ubuntu 11.04 ->12.04)

Reported by Florian Sievers on 2011-05-09
360
This bug affects 69 people
Affects Status Importance Assigned to Milestone
Brasero
New
Medium
OEM Priority Project
Medium
James M. Leddy
Precise
Medium
Unassigned
Baltix
High
Mantas Kriaučiūnas
brasero (Fedora)
New
Undecided
Unassigned
brasero (Ubuntu)
High
metayer alexis
Nominated for Oneiric by Ayan George
Precise
High
Unassigned
Quantal
High
Unassigned

Bug Description

SRU Justification
~~~~~~~~~~~~~~~~~

Impact:

  Currently Brasero will fail to write files to a disc in on-the-fly
  mode using the libburnia plugin resulting in 'coastered' media.
  This is the default mode of operation and unless the user is writing
  a pre-built ISO image, this fails 100% of the time and has since Oneiric
  -- possibly Natty.

Fix:

  Complete/fix part of the following commit:

    http://git.gnome.org/browse/brasero/commit/?id=1b8397ee252df2d554682ca2d694d5937fbf6e39

  Particularly the change to plugins/libburnia/burn-libisofs.c around line
  200 that hoisted the priv->libburn_src->read_xt() call out of the if() statement
  should have actually removed it instead of duplicating it.

Patch:

  http://git.gnome.org/browse/brasero/commit/?id=253031b69c5dcbcf079c445ec530afb7ccd9ea82

Test Case:

  * Insert blank CD or DVD in drive:

    (1) Attempt to write files to the writable optical disc by dragging
    files from Nautilus to a blank disc.

    (2) Click on the 'Write Files to Disc' button in nautilus.

    (3) Make sure 'on the fly' mode is enabled by selecting 'Burn image
    directly without saving to disc' (which should be the default).

    (4) Click on the 'burn' button.

  * If the bug is fixed, you should have a properly written and readable
  disc. Otherwise, the procedure will fail and the disc will be unusable.

----------

Binary package hint: brasero

When I burn a DVD (4,7 and 8,5 GB) Brasero show the progressbar till about 30-40% (exact point is randomly) and than says, that it is finalizing the media. This finalizing messages is showing for the rest of the burning process (~10min @8x 8,5GB). After that, it ejects the media without any error. But when I insert the media again, nothing happens, except, that the DVD-Drive disappears from the "computer:///" location in nautilus.

This problem only exists when burning On-The-Fly. Burning ISO Images or automatic creation of ISO Images before burning works without problems. The burning speed doesn't matter to this problem. I test 8x, 4x and 2x. All the same problem. On-The-Fly burning using K3B works quite well @8x speed.

One thing I also notice is, that Brasero uses 100% CPU on one core, while K3B uses just about 5-15%.

I attached the last Brasero log. I don't know, why it just says, that it was only at 49% and then says it's finished. The burning took about 28 minutes. The media was unusable on all my three devices (Linux/Windows).

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: brasero 2.32.1-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
NonfreeKernelModules: fglrx
Architecture: amd64
Date: Mon May 9 22:10:24 2011
ExecutablePath: /usr/bin/brasero
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
ProcEnviron:
 LANGUAGE=de_DE:en
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
SourcePackage: brasero
UpgradeStatus: No upgrade log present (probably fresh install)
XsessionErrors:
 (brasero:2453): GLib-CRITICAL **: the GVariant format string `(u)' has a type of `(u)' but the given value has a type of `()'
 (brasero:2453): GLib-CRITICAL **: g_variant_get: assertion `valid_format_string (format_string, TRUE, value)' failed
 (<unknown>:4557): GStreamer-CRITICAL **: gst_debug_add_log_function: assertion `func != NULL' failed

I have the same effect on my notebook. It is a Sony VPCF12Z1E with a BluRay-Recorder if that helps.

Changed in brasero (Ubuntu):
importance: Undecided → Low
cameleon (el-cameleon-1) wrote :

I wonder if this is not similar to my bug report: "Brasero create non-readable data disc" which I have just submitted at: https://bugs.launchpad.net/ubuntu/+source/brasero/+bug/788300

I attach two logs into a zip file:
- one of the direct buring process which create an unreadable DVD
- one of the burning process of an image which create a correct DVD

I believe that there is now enought data to submit this bug upstream ASAP.

Mike Trim (miketrim) on 2011-05-28
Changed in brasero (Ubuntu):
status: New → Confirmed
SneakyWho_am_i (sneakywho-am-i) wrote :

Two laptops running natty.
on the first I burned a small data disc containing a few low resolution jpegs. I used the cd/dvd creator folder and everything was fine.
the media was a 52x, 700mb skc cdr.

On the second laptop I attempted to burn 3 cctv videos,each onto its own disc- the same media. each disc would have contained one file. The smallest file was over 500mb. All three discs appeared to burn sucessfully but were unreadable like the prior authors' DVDs.

Using tools like strings and dd to read /dev/sr0 shows that the cd does indeed start burning correctly but that the burn suddenly ends on about the 330th mb and brasero doesn't seem to care.

Summary:
- burning cuts short
- no error message
- might just be big discs or discs with big files (or mayyybe depend on the burner... i'm out of discs for now)
- CDs are affected, not just DVDs

Thanks everyone involved :-)

dyna (ubuntu-dyna) wrote :

Same problem here, also only with on the fly.

This bug also makes CDRW's unusable (and possible DVDRW's, untested), as it leaves them in such a state that no writer can even identify the discs, let alone know that they are rw's that can be reformatted.

cameleon (el-cameleon-1) wrote :

Don't undersand how the importance of this bug could be "low"... This is critical for me, as I lose time and money each time I forget that Brasero is broken and that I need to use a ugly workaround in order to burn a CD or DVD :-(

Pedro Villavicencio (pedro) wrote :

Thank you for your bug report. This bug has been reported to the developers of the software. You can track it and make comments at:
https://bugzilla.gnome.org/show_bug.cgi?id=655601

Changed in brasero (Ubuntu):
importance: Low → Medium
status: Confirmed → Triaged
Changed in brasero:
importance: Unknown → Medium
status: Unknown → New
Xavier Guillot (valeryan-24) wrote :

Hello,

I confirm this bug on Brasero in Ubuntu Oneiric beta : when I want to burn a data DVD, if I select option "burn directly without saving on hard disk", burning progress until 100%, Brasero tells me it has succeeded, but when I run the DVD, nothing appears in the file manager (as if there was non DVD), in Ubuntu (tested on 2 computers), Windows...

If I do the same burning, but unthick the option and save on the disk before, burning works well and DVD is readable.

I've also posted on https://bugzilla.gnome.org/show_bug.cgi?id=655601

Ste (ilpillo) wrote :

Hello,

I've had the same problem burning from nautilus.
In my opinion the importance of this bug should be higher than"medium".
I have lost some GBs of data because the burning process completed *successfully* and after that I have deleted the files from the hard disk.
Ok, I didn't checked the dvd before deleting the files, but tell me who actually do that when the process completes SUCCESSFULLY?

Andreas Grois (soulsource) wrote :

This bug is still there in oneiric. I agree, it should have higher priority.

Changed in brasero (Ubuntu):
importance: Medium → High

I can confirm this bug on 11.10 x64. I have just burned a DVD with 613 JPGs onit. Burning options were: write directly on disk (no intermediate image), use burnproof, DVD speed 3x, leave the disk open.
It completed the burning succesfully (apparently), then it started calculating the disk checksum. In the end, a message box said "manually eject the disk". Below it there was another message box reporting an error: it was something like "burning error, some files might be damaged".
It turned out the DVD is totally unreadable.

Man, i HATE regressions like these...

Forgot to add... Brasero 3.2.0, 64 bit.

The same DVD project (613 JPGs) was burned fine on a 4x DVD-RW and on a 16x DVD-R with the following options:
burn on the fly: NOT checked
leave the disk open: NOT checked
use burnproof: yes
simulate before writing: yes
burn speed: max

summary: - Brasero finishes without error but unusable media [no simulation mode]
- (Ubuntu 11.04)
+ Brasero finishes without error but unusable media [on-the-fly mode]
+ (Ubuntu 11.04-11.10)

As I've written on the Brasero bug (https://bugzilla.gnome.org/show_bug.cgi?id=655601) it clearly started with Ubuntu 11.04 and it's still here on 11.10, and even with Fedora 16.

I hope someone will have a look, because it happens to everyone using default settings!

Chris Gagnon (chris.gagnon) wrote :

If you are using a cd-rw or dvd-rw and brasero can't read your disk after an unsuccessful burn, you can use k3b (sudo apt-get install k3b) to blank the disk and write to it again.

Ayan George (ayan) on 2012-02-15
Changed in brasero (Ubuntu):
assignee: nobody → Ayan George (ayan)

 2012/2/15 Ayan George <email address hidden>:
> ** Changed in: brasero (Ubuntu)
>     Assignee: (unassigned) => Ayan George (ayan)
>

Hi Ayan,

thank you for your support!

I've written to you in order to let you know of other tests I've done
following some hints from Luis Medinas <email address hidden>. I'm
writing the results down here - I hope they're useful.

Best regards, and let me know if I can help you somehow,
Nico

**********************************************************

On my updated Ubuntu 11.10 32 bit:

1) In dconf-editor I've changed:

apps - brasero -plugin

growisofs priority to 50 (before it was 0)
wodim priority to -50 (before it was 0)

-->> same problem of unreadable DVD without any error from the program.

2) setting

growisofs priority to -50
wodim priority to 50

gives a visual error around 60% of the process : stderr: wodim: Cannot
fixate disk.

> Even with growisofs there's some setup that might solve your problem...
> check on dconf-editor -> org -> gnome ->brasero -> config -> dao_flag
>
> also you have other options here that might help you solve the problem....
>

3) I've tried to set all the flags there:

dao-flag + immed-flag + raw-flag

-->> same problem of unreadable DVD without any error from the program.

> I suggest you to try cdrecord not wodim (cdrkit) which comes installed
> by default on Ubuntu.

4) This is not so clear to me... I had a look in the Software Center
but I cannot find anything ready to install.
Googling around I've found that in a PPA:

sudo add-apt-repository ppa:ferramroberto/cdrtools
sudo apt-get update
sudo apt-get install cdrecord cdda2wav mkisofs
+ reboot

The installed cdrecord is now 3.0.0. I cannot find any cdrecord entry
in dconf-editor.
I tried with the normal settings, but:

-->> same problem of unreadable DVD without any error from the program.

In case anybody needs to bring DVD+RWs back to life after brasero is done with them, i figured out after much experimentation that the sequence of the following two commands will work:

sudo dvd+rw-format -force /dev/cdrw
sudo dvd+rw-format -lead-out /dev/cdrw

Marcos (deflagmator) wrote :

Hi,
Same here Ubuntu 11.10 with gnome-shell.
This morning I have tried last daily Ubuntu 12.04 and the proble is still there.

summary: Brasero finishes without error but unusable media [on-the-fly mode]
- (Ubuntu 11.04-11.10)
+ (Ubuntu 11.04 ->12.04)
Changed in oem-priority:
importance: Undecided → Medium
status: New → Triaged
Chris Van Hoof (vanhoof) on 2012-03-05
Changed in oem-priority:
assignee: nobody → Ayan George (ayan)

Confirmed. Same problem.

Cyrus Lien (cyruslien) wrote :

Does anyone ever try to disable libisofs plugin by dconf ? dconf-editor > apps > brasero > plugins > libisofs (set priority value to -1)
Brasero seems stop generating frisbee.

@Cyrus Lien: I'm going to try out changing priority for libisofs. Do you have any idea why that would solve this problem?

@Cyrus Lien: I've tested the libisofs priority change and all my DVD burns are readable! Thank you so much! I would still like to know why this works though.

Nico Zanferrari (nicozanf) wrote :

YES, I do confirm both solutions:

- the bring-again-to-life commands for RW disks of Tom Jaeger (thjaeger) on https://bugs.launchpad.net/ubuntu/+source/brasero/+bug/780117/comments/17

- the libisofs low priority fix of Cyrus Lien (cyruslien)

I've tested both on an fresh USB Live of Ubuntu 11.10.

Do you think this should be applied as a fix?

Ayan George (ayan) wrote :

Okay -- this issue appears to occur across distributions. I'll open an upstream bug. In the meantime, it might make sense to hide this feature until it works -- maybe build brasero without libburn support.

I'm having the problem on Fedora, Ubuntu and Linux Mint Debian Edition. Disabling libburn fixes it on all of them.

Xavier Guillot (valeryan-24) wrote :

Ayan, is it this report already on bugzilla ?

https://bugzilla.gnome.org/show_bug.cgi?id=655601

Ayan George (ayan) wrote :

Xavier, that is a report against brasero. I think it is best to file a bug with the libburn devs -- if possible.

Ayan George (ayan) wrote :

In the meantime, does anyone see anything wrong with disabling on-the-fly burns until this is fixed?

No problems so far on three distros. I would still like to know what libisofs was supposed to do.

James M. Leddy (jm-leddy) wrote :

I prefer that we disable on-the-fly burns in the 12.04 release.

Nico Zanferrari (nicozanf) wrote :

I also think it's better to disable on-the-fly burns on Brasero until this is fixed...

Xavier Guillot (valeryan-24) wrote :

Sorry, I didn't understand the upstream was also for libburn.

I agree with previous comments, as long as bug is not corrected it's better to disable on-the-fly burn in Precise.

eden6000 (eden6000) wrote :

+1 to disable on-the-fly burn, hoping it will be fixed soon...

Ayan George (ayan) wrote :

For those affected, please try this PPA:

https://launchpad.net/~ayan/+archive/brasero

I'm not sure if we'll be able to get this in since were in feature freeze right now but I'd be interesting to know if it works and if this causes any regressions.

Download full text (3.1 KiB)

I have burned a CD-RW with your brasero directly, without image, and it
works.

Thanks.

2012/3/30 Ayan George <email address hidden>

> For those affected, please try this PPA:
>
> https://launchpad.net/~ayan/+archive/brasero<https://launchpad.net/%7Eayan/+archive/brasero>
>
> I'm not sure if we'll be able to get this in since were in feature
> freeze right now but I'd be interesting to know if it works and if this
> causes any regressions.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/780117
>
> Title:
> Brasero finishes without error but unusable media [on-the-fly mode]
> (Ubuntu 11.04 ->12.04)
>
> Status in A disc burning application for gnome 2:
> New
> Status in OEM Priority Project:
> Triaged
> Status in OEM Priority Project precise series:
> Triaged
> Status in “brasero” package in Ubuntu:
> Triaged
> Status in Baltix GNU/Linux:
> New
> Status in “brasero” package in Fedora:
> New
>
> Bug description:
> Binary package hint: brasero
>
> When I burn a DVD (4,7 and 8,5 GB) Brasero show the progressbar till
> about 30-40% (exact point is randomly) and than says, that it is
> finalizing the media. This finalizing messages is showing for the rest
> of the burning process (~10min @8x 8,5GB). After that, it ejects the
> media without any error. But when I insert the media again, nothing
> happens, except, that the DVD-Drive disappears from the "computer:///"
> location in nautilus.
>
> This problem only exists when burning On-The-Fly. Burning ISO Images
> or automatic creation of ISO Images before burning works without
> problems. The burning speed doesn't matter to this problem. I test 8x,
> 4x and 2x. All the same problem. On-The-Fly burning using K3B works
> quite well @8x speed.
>
> One thing I also notice is, that Brasero uses 100% CPU on one core,
> while K3B uses just about 5-15%.
>
> I attached the last Brasero log. I don't know, why it just says, that
> it was only at 49% and then says it's finished. The burning took about
> 28 minutes. The media was unusable on all my three devices
> (Linux/Windows).
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: brasero 2.32.1-0ubuntu2
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic x86_64
> NonfreeKernelModules: fglrx
> Architecture: amd64
> Date: Mon May 9 22:10:24 2011
> ExecutablePath: /usr/bin/brasero
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64
> (20110427.1)
> ProcEnviron:
> LANGUAGE=de_DE:en
> LANG=de_DE.UTF-8
> SHELL=/bin/bash
> SourcePackage: brasero
> UpgradeStatus: No upgrade log present (probably fresh install)
> XsessionErrors:
> (brasero:2453): GLib-CRITICAL **: the GVariant format string `(u)' has a
> type of `(u)' but the given value has a type of `()'
> (brasero:2453): GLib-CRITICAL **: g_variant_get: assertion
> `valid_format_string (format_string, TRUE, value)' failed
> (<unknown>:4557): GStreamer-CRITICAL **: gst_debug_add_log_function:
> assertion `func != NULL' failed
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/brasero/+bug/78...

Read more...

Ayan George (ayan) wrote :

I've chatted with one of the maintainers and I'm working on a patch to decrease the priority of libburn by default.

Ayan George (ayan) wrote :

Err -- sorry -- disable libisofs I mean.

Tried to burn my first DVD on 12.04 amd64, and got a frisbee.
After the burn Brasero complained he could not eject DVD (???), I ejected it manually and it was crap.
What it the current state of Brasero in 12.04?
In the "Burning" dialog there are no options (???), has been the on-the-fly burning disabled in 12.04 or not?

Jos (josmtx) wrote :

As much as I respect the time and effort put in Ubuntu by everyone, how come 12.04 could get out the door with such a bug?

Tried today to burn a data DVD-R (on 12.04) and got the same result as Davide above (twice as I tried again). To make things worse it was in front of a friend I was trying to impress with Ubuntu. Let's say I floped, hard. And I am not even talking about the very long time it took as the image check is on by default and takes ages.

Can we get a quick fix without resorting to external PPAs? In the current situation both Brasero and Nautilus-integrated burning is completely broken, and for all Precise users from what I read.

(session.log availalbe if required but this problem seems to be well known)

Ayan George (ayan) wrote :

I haven't found the root cause yet and I think the best approach would be to simply disable the libburn related plugins by default. I hope to have a work-around that will end up in the repository by the end of next week.

Changed in baltix:
importance: Undecided → High
status: New → Confirmed
tags: added: blocks-hwcert-enablement
Changed in brasero (Ubuntu):
status: Triaged → In Progress
Changed in oem-priority:
status: Triaged → In Progress
tags: added: patch
Changed in brasero (Ubuntu):
assignee: Ayan George (ayan) → Jason Warner (jasoncwarner)
Changed in oem-priority:
status: In Progress → Incomplete
Changed in baltix:
status: Confirmed → Incomplete
Changed in brasero (Ubuntu):
status: In Progress → Incomplete
Changed in brasero (Ubuntu):
status: Incomplete → In Progress
Changed in oem-priority:
status: Incomplete → In Progress
Changed in baltix:
status: Incomplete → In Progress
assignee: nobody → Mantas Kriaučiūnas (mantas)
34 comments hidden view all 114 comments
Ayan George (ayan) wrote :

I'll test this evening.

Paul Menzel (pm-debian) wrote :

Looking at `git log` [2] or `NEWS` [2] I am pretty sure nothing changed.

[1] http://git.gnome.org/browse/brasero/log/?h=gnome-3-6
[2] http://git.gnome.org/browse/brasero/tree/NEWS

Paul Menzel (pm-debian) wrote :

The way to solve this error, is that people provide the necessary log files from Brasero and to improve the things Thomas Schmitt and George Danchev have found out to be incorrect [1].

[1] http://bugs.debian.org/617409

Thomas Schmitt (scdbackup) wrote :

Hi,

Paul Menzel wrote:
> The way to solve this error, is that people provide the necessary log
> files from Brasero and to improve the things Thomas Schmitt and George
> Danchev have found out to be incorrect [1].

Well, actually we [George and me] do not have any good idea left what
goes wrong with the cooperation of libisofs and libburn underneath
Brasero. Experiments with other applications indicate that the
libraries themselves seem ok.

Nevertheless we have three groups of bugs:
- DVD burning aborts after about 50 percent (rare, Ubuntu bug 780117)
- CD burning produces unreadable media (frequent, Ubuntu 780117, Debian 617409)
  (My theory of write type SAO versus TAO did not hold.)
- A DVD got burned with a messed-up ISO 9660 image (rare, Debian 688229)

Have a nice day :)

Thomas

James M. Leddy (jm-leddy) wrote :

I think we should limit this bug to the 50% thing. The more frequent SAO vs TAO should be a different bug.

Sebastien Bacher (seb128) wrote :

Debian commited a fix for that issue to their svn, if somebody wants to have a look to it

Changed in brasero (Ubuntu):
assignee: Jason Warner (jasoncwarner) → nobody
Thomas Schmitt (scdbackup) wrote :

Hi,

for completeness: One of the two Debian patches replaces
the theory of SAO-versus-TAO.
It turned out that the function, which transmits the
libisofs image data to the burn software, dropped every
second data block. (Actually the first block of each pair
of blocks.)
  https://bugzilla.gnome.org/attachment.cgi?id=226272
The bug was obviously introduced two years ago by
changes which are announced at:
  https://bugzilla.gnome.org/show_bug.cgi?id=630651#c12

This explains many of the follow-ups here.
But not the original report where libisofs and growisofs
ended after only half of the work was done.

Have a nice day :)

Thomas

Ayan George (ayan) wrote :

I've tested the fix. I'll be posting a debdiff shortly. Thank you Thomas!

Changed in brasero (Ubuntu Precise):
importance: Undecided → High
status: New → In Progress
Ayan George (ayan) on 2012-10-15
description: updated
4 comments hidden view all 114 comments
Paul Menzel (pm-debian) wrote :

Just a small nit pick. In the SRU message it says that part of the offending commit are reverted. Actually nothing is reverted and the change just completed.

Paul Menzel (pm-debian) wrote :

Also please look at Thomas’ comment. The patch is just for some follow up comments in this report. The original reporter of this issue (LP:780117) has a different issue with growisofs. Though closing this report might be wise and people still experiencing problems with Brasero should submit new reports as this report here is way to confusing with all the comments.

Ayan George (ayan) wrote :

@Paul -- you're absolutely correct about this really being a completion of that patch. I'll update the description.

description: updated
1 comments hidden view all 114 comments
Sebastien Bacher (seb128) wrote :

Thanks Ayan, I sponsored the precise and quantal SRUs,

natty is not supported anymore and I don't think it's worth spending time on oneiric seeing it's a one year old and not an LTS and that most of the recent SRU uploaded never got verified so couldn't move to update

Hello Florian, or anyone else affected,

Accepted brasero into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/brasero/3.4.1-0ubuntu3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in brasero (Ubuntu Quantal):
status: In Progress → Fix Committed
tags: added: verification-needed
Nico Zanferrari (nicozanf) wrote :

I do confirm that this proposed patch resolves this nasty bug on quantal. So, from my point of view, this is a big THANK YOU to all the upstream developers and the smart Ubuntu guys!!!

Some notes (I always use a fresh standard live 32 bit USB key with the same DVD-RW):

- the patch is still not "proposed" on 11.10 and 12.04 (see https://launchpad.net/ubuntu/+source/brasero/), so I cannot rightly test it there
- the "unreadable coasters" produced from other Ubuntu versions are seen as blank disk from standard brasero 12.10, and can be easily blanked with it. This is different from old versions of brasero that does not recognise it at all as a DVD medium.
- the bug (don't ask me why) is quite different on 12.10. Here sometimes you can have a readable DVD, but never on the first recording! It seems that it's somehow and sometimes able to record a second recording session on what it thinks it's a blank disk.

+1 for going to stable on quantal!

Changed in brasero (Ubuntu Quantal):
status: Fix Committed → Confirmed
Thomas Schmitt (scdbackup) wrote :

Hi,

some technical comments to Nico Zanferrari's notes:

> (I always use a fresh standard live 32 bit USB key with the same DVD-RW)
> [...]
> - the "unreadable coasters" produced from other Ubuntu versions are seen as
> blank disk from standard brasero 12.10, and can be easily blanked with it.
> This is different from old versions of brasero that does not recognise it at
> all as a DVD medium.

If the DVD-RW was recorded with write type DAO and suffered the
found bug, then it might afterwards bear an unclosed session,
because the pre-announced amount of data was not sent to the
drive.
libburn qualifies such a medium as "unsuitable" but also offers
the opportunity to make it pretend being closed, so that it can
be blanked. (Current Brasero git does not bear the necessary
call burn_disc_pretend_full(), though.)

So it is not sure that this problem is caused by the bug of
october 2010.
Backporting the fix would be helpful to clarify this.

> - the bug (don't ask me why) is quite different on 12.10. Here sometimes you
> can have a readable DVD, but never on the first recording! It seems that
> it's somehow and sometimes able to record a second recording session on what
> it thinks it's a blank disk.

Theoretically two half sessions of the same size could fill
the pre-announced size of the DAO session. But it is hardly possible
that the result bears proper directories or file content.
The first block of each pair of 2 KB blocks was not written.
Any directory, that occupies more than one block, would become
damaged. Any data file that has more than one block would not
match its original on disk.

Again, backporting the fix and testing the effect would bring
more insight.

If it turns out that there was another bug which is gone in the
current git version of Brasero, then it would be worthwhile to
identify the changeset which solved that problem.

Have a nice day :)

Thomas

Colin Watson (cjwatson) wrote :

Reverting metadata change to the quantal task; I don't see from the commentary why this should have been changed away from Fix Committed.

Changed in brasero (Ubuntu Quantal):
status: Confirmed → Fix Committed
James M. Leddy (jm-leddy) wrote :

I think he meant to move to verification-done and not back to Confirmed.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package brasero - 3.4.1-0ubuntu3

---------------
brasero (3.4.1-0ubuntu3) quantal-proposed; urgency=low

  * debian/patches/git_burn_libisofs.patch:
    - Fix for "Brasero finishes without error but unusable media
      [on-the-fly mode] (Ubuntu 11.04 ->12.04)" (LP: #780117)
 -- Ayan George <email address hidden> Fri, 12 Oct 2012 10:15:07 -0400

Changed in brasero (Ubuntu Quantal):
status: Fix Committed → Fix Released
eden6000 (eden6000) wrote :

Will it be backported for Precise too?

Ayan George (ayan) on 2012-11-08
Changed in oem-priority:
assignee: Ayan George (ayan) → James M. Leddy (jm-leddy)
status: In Progress → Fix Released
Sebastien Bacher (seb128) wrote :

it has been backported to precise:
http://launchpadlibrarian.net/120042852/brasero_3.4.1-0ubuntu1.1_source.changes

the SRU team is behind on reviews though

eden6000 (eden6000) wrote :

Thanks Sebastien

eden6000 (eden6000) wrote :

Sebastien, is there a way to "wake up" the SRU team?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package brasero - 3.4.1-0ubuntu4

---------------
brasero (3.4.1-0ubuntu4) raring; urgency=low

  * debian/patches/correct_disk_space_check.diff: don't error out when
    the disk space is eqal to the one taken by the image.
    Thanks David Balažic and David Klasinc for looking at the issue and
    testing the change (lp: #658004)
 -- Sebastien Bacher <email address hidden> Fri, 16 Nov 2012 12:26:47 +0100

Changed in brasero (Ubuntu):
status: In Progress → Fix Released

Hello Florian, or anyone else affected,

Accepted brasero into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/brasero/3.4.1-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in brasero (Ubuntu Precise):
status: In Progress → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Nico Zanferrari (nicozanf) wrote :

Hello, I confirm that the patch works fine on Precise. So,

+1 for going to release on Precise

Technical details: a 32 bit Precise fresh live usb was confirmed to have the bug with the default Brasero 3.4.1-0ubuntu1 and a DVD RW. After enabling the proposed repository and the update to 3.4.1-0ubuntu1.1, the problem is solved (even without a reboot, on the same DVD, after blanking it with the dvd+rw-format commands).

Many thanks to all,
Nico

tags: added: verification-done
removed: verification-needed
Changed in brasero (Ubuntu Precise):
status: Fix Committed → Fix Released
UlfZibis (ulf-zibis) on 2012-12-05
description: updated
UlfZibis (ulf-zibis) wrote :

Hi,
today I see this new automatic update on my Ubuntu 12.04 x64 and was curiour reading the bug report because of a similar problem.
I'm not sure, if my problem, some few days ago , has to do with the same cause.
It was the first time I ever used my Ubuntu to burn a DVD, so all settings should have been default.
Description:
As source I used the downloaded ISO of PartedMagic from 2012_11_30.
I simply opened this with Brasero to start burning on a DVD-RW, which first had to be erased.
After some time I saw 100% complete and something like "finalizing the media" and I continuously recognized mechanical movements from the readers head.
As after 5..10 min. nothing changed, I clicked Abort.
Then shortly I saw something with "successful", but I was unsure, if it was caused by my click or if it had happened anyway.

After, the disk was unreadable, even from Windows 7.
But I anyway tried to boot from it to start PartedMagic, but it didn't work.

Please think about, if this covers the same bug or if it is a different problem.

The downloaded ISO should have been OK, as I could burn successfully with Windows 7 right after.

UlfZibis (ulf-zibis) wrote :

I'm wondering why Brasero doesn't have a "After burning check the content" option.
This would help to avoid unexpected data loss.

Download full text (3.8 KiB)

Hi,

> As source I used the downloaded ISO of PartedMagic from 2012_11_30.
> I simply opened this with Brasero to start burning on a DVD-RW,
> which first had to be erased.

The bug that was fixed here did not affect burning of prepared
ISO images, but only composition of ISO images from hard disk
files and burning them to media without storing the images
ntermediately on hard disk.

So your problem is probably something different.

> After some time I saw 100% complete and something like
> "finalizing the media" and I continuously recognized mechanical
> movements from the readers head.

Unformatted DVD-RW get filled up to at least one full GB when they
get closed. The image pmagic_2012_11_30.iso has only 274 MB.
But 5 to 10 minutes for padding 750 MB would mean only 1x write speed.

> Then shortly I saw something with "successful", but I was unsure,
> if it was caused by my click or if it had happened anyway.

If the drive's activity was still about closing the medium then you
would have few chance to interrupt it. Only power-off would do.
But if Brasero was attempting to read an unreadable medium, then
it might have been your Abort which ended the torture.

> I'm wondering why Brasero doesn't have a "After burning check the
> content" option.

I would not be astonished if the strange behavior happened
in the course of a verification attempt.
To my knowledge it would use readcd. (I am not a regular Brasero
user.)

-------------------------------------------------------------------

What happens if you use one of my programs for burning the image ?
They are based on libburn like Brasero is by default, but elsewise
they do not share code with Brasero.
Under the assumption that your burner has the address /dev/sr0
and that a DVD-RW is inserted:

  xorriso -as cdrecord -v dev=/dev/sr0 blank=deformat_quickest \
                       -eject pmagic_2012_11_30.iso

On a 4x DVD-RW, extra fast blanking lasts about 30 seconds.
Writing then shows about 30 seconds of zero progress.
Then i get progress messages about 4x write speed.
After about 50 further seconds i get a long time of messages
  xorriso : UPDATE : 274 of 274 MB written (fifo 0%) [buf 99%] 0.0x.
with steady burn noise. No head movements to hear.
The burn run ends after a total of 264 seconds.

A checkread based on the medium's block checksums (DVD ECC)
can be done by:

  xorriso -indev /dev/sr0 -check_media -- -eject all

should yield
  Media current: DVD-RW sequential recording
  Media status : is written , is closed
  Boot record : El Torito , ISOLINUX isohybrid MBR pointing to boot image
  Media summary: 1 session, 140438 data blocks, 274m data, 0 free
  Volume id : 'Parted Magic'
  xorriso : UPDATE : 32 blocks read in 5 seconds , 0.0xD
  xorriso : UPDATE : 1792 blocks read in 6 seconds , 2.6xD
  ...
  xorriso : UPDATE : 140438 blocks read in 96 seconds = 2.2xD

Hope for no messages like this
  libburn : SORRY : SCSI error on read_10(16064,32): [3 11 05] Medium error. L-EC uncorrectable error.
If they come frequently and progress is slow, then abort by Ctrl+C.
libburn gets such messages from the drive if the ECC redundancy does
not suffice to obtain a credible data ...

Read more...

UlfZibis (ulf-zibis) wrote :

Please sorry about my error:
I was using a CD-RW, not DVD-RW, 650 MB, 4x
I'm not sure, if -format would concern here?

And of coarse on Windows 7 I used the same media and the same burner.

UlfZibis (ulf-zibis) wrote :

Now I tried again with just updated 3.4.1-0ubuntu1.1:
Burning took ~ 10 min. at 4x --> successful
And yes, after, a checksum test was executed automatically.
(So sorry about the noise, because I didn't find a hook to enable it. Anyway it would be nice to have a choice for full compare)
I could boot PartedMagic successfully.
Thanks for your detailed explanations!

Thomas Schmitt (scdbackup) wrote :

Hi,

> I was using a CD-RW, not DVD-RW, 650 MB, 4x
> I'm not sure, if -format would concern here?

Not with xorriso, and not desirable for your purpose.

> Now I tried again with just updated 3.4.1-0ubuntu1.1:
> Burning took ~ 10 min. at 4x --> successful

Some bugs were fixed in the meantime. The bug fixed by this ticket
has been introduced 2 years ago when fixing others. Shrug.

Have a nice day :)

Thomas

UlfZibis (ulf-zibis) wrote :

So I was in good luck that I only had to wait 2 days for the fix :-)

Thomas Schmitt (scdbackup) wrote :

Hi,

> So I was in good luck that I only had to wait 2 days for the fix :-)

I guess the fix for your problem was available since a while.
But if you had installed it, you had gotten the bug that was fixed here.

So your luck is a very wise one which knows how long to wait. Congrats.

Have a nice day :)

Thomas

> I guess the fix for your problem was available since a while.
> But if you had installed it, you had gotten the bug that was fixed here.
I do not get what you mean by that?
Can you send me a german translation privately?

Have a sunny day,

Ulf

Changed in baltix:
status: In Progress → Fix Committed
Changed in brasero (Ubuntu):
assignee: nobody → metayer alexis (xixi1996)
piotr zimoch (ebytyes) on 2013-05-22
Changed in baltix:
status: Fix Committed → New
status: New → Incomplete
status: Incomplete → Opinion
status: Opinion → Confirmed
status: Confirmed → In Progress
status: In Progress → Fix Committed
status: Fix Committed → In Progress
status: In Progress → Fix Released
Displaying first 40 and last 40 comments. View all 114 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.